---
title: "Create org editor brand resource"
url: "https://docs.signnow.com/docs/organization-branding/operations/put-v2-organizations-organization_id-brands-brand_id-resources-editor"
type: "endpoint"
section: "organization-branding"
slug: "organization-branding/operations/put-v2-organizations-organization_id-brands-brand_id-resources-editor"
method: "PUT"
path: "/v2/organizations/{organization_id}/brands/{brand_id}/resources/editor"
operation_id: "put-v2-organizations-organization_id-brands-brand_id-resources-editor"
authorization: "bearer"
---

# Create org editor brand resource

`PUT /v2/organizations/{organization_id}/brands/{brand_id}/resources/editor`

This endpoint allows users to create an editor brand resource for an organization. Only an admin or moderator of the organization can perform this action.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `organization_id` | string | Yes | ID of the organization. Must match the pattern: [a-z0-9]{40}. |
| `brand_id` | string | Yes | ID of the brand. Must match the pattern: [a-z0-9]{40}. |

## Request Body

**Schema**

```json
{
  "type": "object",
  "properties": {
    "fields": {
      "type": "object",
      "properties": {
        "date": {
          "type": "object",
          "properties": {
            "visibility": {
              "type": "boolean",
              "default": true
            }
          },
          "description": "Whether to show the date field in the fields panel."
        },
        "text": {
          "type": "object",
          "properties": {
            "visibility": {
              "type": "boolean",
              "default": true
            }
          },
          "description": "Whether to show the text field in the fields panel."
        },
        "email": {
          "type": "object",
          "properties": {
            "visibility": {
              "type": "boolean",
              "default": true
            }
          },
          "description": "Whether to show the email field in the fields panel."
        },
        "stamp": {
          "type": "object",
          "properties": {
            "visibility": {
              "type": "boolean",
              "default": true
            }
          },
          "description": "Whether to show the stamp field in the fields panel."
        },
        "formula": {
          "type": "object",
          "properties": {
            "visibility": {
              "type": "boolean",
              "default": true
            }
          },
          "description": "Whether to show the formula field in the fields panel."
        },
        "checkbox": {
          "type": "object",
          "properties": {
            "visibility": {
              "type": "boolean",
              "default": true
            }
          },
          "description": "Whether to show the checkbox field in the fields panel."
        },
        "dropdown": {
          "type": "object",
          "properties": {
            "visibility": {
              "type": "boolean",
              "default": true
            }
          },
          "description": "Whether to show the dropdown field in the fields panel."
        },
        "fullname": {
          "type": "object",
          "properties": {
            "visibility": {
              "type": "boolean",
              "default": true
            }
          },
          "description": "Whether to show the fullname field in the fields panel."
        },
        "initials": {
          "type": "object",
          "properties": {
            "visibility": {
              "type": "boolean",
              "default": true
            }
          },
          "description": "Whether to show the initials field in the fields panel."
        },
        "hyperlink": {
          "type": "object",
          "properties": {
            "visibility": {
              "type": "boolean",
              "default": true
            }
          },
          "description": "Whether to show the hyperlink field in the fields panel."
        },
        "signature": {
          "type": "object",
          "properties": {
            "visibility": {
              "type": "boolean",
              "default": true
            }
          },
          "description": "Whether to show the signature field in the fields panel."
        },
        "attachment": {
          "type": "object",
          "properties": {
            "visibility": {
              "type": "boolean",
              "default": true
            }
          },
          "description": "Whether to show the attachment field in the fields panel."
        },
        "radiobutton": {
          "type": "object",
          "properties": {
            "visibility": {
              "type": "boolean",
              "default": true
            }
          },
          "description": "Whether to show the radiobutton field in the fields panel."
        }
      },
      "description": "Settings of the fields panel on the left sidebar. Available for embedded sending, embedded editor, and FreeForm invite."
    },
    "sidebar": {
      "type": "object",
      "properties": {
        "background": {
          "type": "string",
          "description": "Background color for a signing session sidebar in HEX color code."
        },
        "visibility": {
          "type": "boolean",
          "description": "Whether the sidebar should be visible or not."
        }
      }
    },
    "toolbar": {
      "type": "object",
      "properties": {
        "background": {
          "type": "string",
          "example": "#ffffff",
          "description": "Background color of the toolbar in HEX color code."
        },
        "visibility": {
          "type": "boolean",
          "default": true,
          "description": "Whether to show the toolbar in the header."
        }
      },
      "description": "Configuration of the toolbar in the header. Available for embedded sending and embedded editor."
    },
    "settings": {
      "type": "object",
      "properties": {
        "visibility": {
          "type": "boolean",
          "description": "Enable/disable the Settings button. Possible values: `true`, `false`."
        }
      },
      "description": "Settings object that contains attributes for the Settings dropdown button."
    },
    "auth-page": {
      "type": "object",
      "properties": {
        "check-pin": {
          "type": "object",
          "properties": {
            "phone": {
              "type": "object",
              "properties": {
                "body-text": {
                  "type": "object",
                  "properties": {
                    "en": {
                      "type": "string",
                      "example": "Enter the document password sent you by voice call or sms.",
                      "maxLength": 900,
                      "description": "Custom text in English."
                    },
                    "es": {
                      "type": "string",
                      "example": "Introduce la contrase\u00f1a del documento que te ha enviado por llamada de voz o sms.",
                      "maxLength": 900,
                      "description": "Custom text in Spanish."
                    },
                    "fr": {
                      "type": "string",
                      "example": "Entrez le mot de passe du document que vous avez re\u00e7u par appel vocal ou sms.",
                      "maxLength": 900,
                      "description": "Custom text in French."
                    }
                  },
                  "description": "Custom text displayed for phone/SMS-protected invites."
                }
              },
              "description": "Customizes text for phone/SMS-protected invites."
            },
            "password": {
              "type": "object",
              "properties": {
                "body-text": {
                  "type": "object",
                  "properties": {
                    "en": {
                      "type": "string",
                      "example": "Enter the document password below to unlock the document.",
                      "maxLength": 900,
                      "description": "Custom text in English."
                    },
                    "es": {
                      "type": "string",
                      "example": "Introduce la contrase\u00f1a del documento a continuaci\u00f3n para desbloquear el documento.",
                      "maxLength": 900,
                      "description": "Custom text in Spanish."
                    },
                    "fr": {
                      "type": "string",
                      "example": "Entrez le mot de passe du document ci-dessous pour d\u00e9verrouiller le document.",
                      "maxLength": 900,
                      "description": "Custom text in French."
                    }
                  },
                  "description": "Custom text displayed for password-protected invites."
                }
              },
              "description": "Customizes text for password-protected invites."
            }
          },
          "description": "Customizes text prompting the signer to enter the password."
        },
        "header-text": {
          "type": "object",
          "properties": {
            "en": {
              "type": "string",
              "example": "{sender_email} invited you to sign {document_name}",
              "maxLength": 300,
              "description": "Custom header text in English. Placeholders `{sender_email}` and `{document_name}` are available."
            },
            "es": {
              "type": "string",
              "example": "{sender_email} te ha invitado a firmar {document_name}",
              "maxLength": 300,
              "description": "Custom header text in Spanish. Placeholders `{sender_email}` and `{document_name}` are available."
            },
            "fr": {
              "type": "string",
              "example": "{sender_email} vous a invit\u00e9 \u00e0 signer {document_name}",
              "maxLength": 300,
              "description": "Custom header text in French. Placeholders `{sender_email}` and `{document_name}` are available."
            }
          },
          "description": "Customizes a header text displayed to the signer on the two-factor authentication page."
        },
        "request-pin": {
          "type": "object",
          "properties": {
            "body-text": {
              "type": "object",
              "properties": {
                "en": {
                  "type": "string",
                  "example": "Press the button below to have the password sent to you by voice call or sms message.",
                  "maxLength": 900,
                  "description": "Custom text with instructions in English."
                },
                "es": {
                  "type": "string",
                  "example": "Pulsa el bot\u00f3n de abajo para que te env\u00eden la contrase\u00f1a por llamada de voz o mensaje sms.",
                  "maxLength": 900,
                  "description": "Custom text with instructions in Spanish."
                },
                "fr": {
                  "type": "string",
                  "example": "Appuyez sur le bouton ci-dessous pour que le mot de passe vous soit envoy\u00e9 par appel vocal ou sms.",
                  "maxLength": 900,
                  "description": "Custom text with instructions in French."
                }
              },
              "description": "Custom text displayed to the signer with instructions for obtaining a password."
            }
          },
          "description": "Customizes text with instructions for obtaining a password via voice call or SMS. Displayed only for phone/SMS-protected invites."
        }
      },
      "description": "An object that customizes the authentication page for invites protected by two-factor authentication, including phone calls, SMS, and passwords set by the sender."
    },
    "navigation": {
      "type": "object",
      "properties": {
        "visibility": {
          "type": "string",
          "description": "Enable/disable the Navigation elements. Possible values: `true`, `false`."
        }
      },
      "description": "Navigation object that contains attributes for the Navigation elements."
    },
    "sender-info": {
      "type": "object",
      "properties": {
        "visibility": {
          "type": "boolean",
          "description": "Whether the **Contact Sender** option on the **More Actions** menu should be visible or not."
        },
        "contact-name": {
          "type": "string",
          "maxLength": 300,
          "description": "The name of the sender that should appear if a signer clicks **Contact Sender**."
        },
        "contact-email": {
          "type": "string",
          "maxLength": 254,
          "description": "The email of the sender that should appear if a signer clicks **Contact Sender**."
        }
      }
    },
    "close-button": {
      "type": "object",
      "properties": {
        "title": {
          "type": "object",
          "properties": {
            "editor": {
              "type": "object",
              "properties": {
                "en": {
                  "type": "string",
                  "example": "Save and Close",
                  "maxLength": 50,
                  "description": "Button title in English."
                },
                "es": {
                  "type": "string",
                  "example": "Guardar y cerrar",
                  "maxLength": 50,
                  "description": "Button title in Spanish."
                },
                "fr": {
                  "type": "string",
                  "example": "Enregistrer et fermer",
                  "maxLength": 50,
                  "description": "Button title in French."
                }
              },
              "description": "Customizes text of the **Save and Close** button in the editor. Available for the embedded editor and embedded sending mode."
            },
            "signing": {
              "type": "object",
              "properties": {
                "en": {
                  "type": "string",
                  "example": "Save Progress and Finish Later",
                  "maxLength": 50,
                  "description": "Text in English for signing session."
                },
                "es": {
                  "type": "string",
                  "example": "Guardar progresos y terminar m\u00e1s tarde",
                  "maxLength": 50,
                  "description": "Text in Spanish for signing session."
                },
                "fr": {
                  "type": "string",
                  "example": "Enregistrer la progression et terminer plus tard",
                  "maxLength": 50,
                  "description": "Text in French for signing session."
                }
              },
              "description": "Customizes text of the **Save Progress and Finish Later** option during the signing session."
            }
          },
          "description": "Localized text for the closing options in signing session, embedded sending and editor modes."
        },
        "visibility": {
          "type": "boolean",
          "default": true,
          "description": "Whether the **Close** button (in the header in view mode) or **Save progress and Finish Later** option (in the **More Actions** menu during the signing session) should be visible."
        }
      },
      "description": "Object that defines the visibility and text for the closing options."
    },
    "progress-bar": {
      "type": "object",
      "properties": {
        "default-color": {
          "type": "string",
          "description": "Default color of the progress bar."
        },
        "completed-color": {
          "type": "string",
          "description": "Progress bar color when the signer has completed the invite to sign."
        }
      },
      "description": "Progress bar object that contains attributes for the progress bar elements."
    },
    "support-chat": {
      "type": "object",
      "properties": {
        "visibility": {
          "type": "string",
          "description": "Whether the support chat icon should be visible or not."
        }
      }
    },
    "accessibility": {
      "type": "object",
      "properties": {
        "color": {
          "type": "string",
          "description": "Text color for the Accessibility button in hex color code."
        },
        "border": {
          "type": "string",
          "description": "Border color for the Accessibility button in hex color code."
        },
        "enabled": {
          "type": "boolean",
          "description": "Whether to enable or disable the accessibility mode. By default accessibility is off."
        },
        "background": {
          "type": "string",
          "description": "Background color for the Accessibility button in hex color code."
        },
        "visibility": {
          "type": "boolean",
          "description": "Whether to show or hide the accessibility option in the **More Actions** menu."
        },
        "hover-color": {
          "type": "string",
          "description": "Hover over text button color in hex color code."
        },
        "active-color": {
          "type": "string",
          "description": "Text button color in hex color code when active."
        },
        "hover-border": {
          "type": "string",
          "description": "Hover over border button color in hex color code."
        },
        "active-border": {
          "type": "string",
          "description": "Border button color in hex color code when active."
        },
        "hover-background": {
          "type": "string",
          "description": "Hover over background button color in hex color code."
        },
        "active-background": {
          "type": "string",
          "description": "Background button color in hex color code when active."
        }
      },
      "description": "Accessibility object that contains attributes for the Accessibility button."
    },
    "complete-page": {
      "type": "object",
      "properties": {
        "decline": {
          "type": "object",
          "properties": {
            "body-text": {
              "type": "object",
              "properties": {
                "en": {
                  "type": "string",
                  "description": "Decline main text in English."
                },
                "es": {
                  "type": "string",
                  "description": "Decline main text in Spanish."
                },
                "fr": {
                  "type": "string",
                  "description": "Decline main text in French."
                }
              }
            },
            "header-text": {
              "type": "object",
              "properties": {
                "en": {
                  "type": "string",
                  "description": "Decline header text in English."
                },
                "es": {
                  "type": "string",
                  "description": "Decline header text in Spanish."
                },
                "fr": {
                  "type": "string",
                  "description": "Decline header text in French."
                }
              }
            }
          },
          "description": "Custom text that appears on the page after a signer confirms declining a document."
        },
        "success": {
          "type": "object",
          "properties": {
            "body-text": {
              "type": "object",
              "properties": {
                "en": {
                  "type": "string",
                  "description": "Success main text in English."
                },
                "es": {
                  "type": "string",
                  "description": "Success main text in Spanish."
                },
                "fr": {
                  "type": "string",
                  "description": "Success main text in French."
                }
              }
            },
            "header-text": {
              "type": "object",
              "properties": {
                "en": {
                  "type": "string",
                  "description": "Success header text in English."
                },
                "es": {
                  "type": "string",
                  "description": "Success header text in Spanish."
                },
                "fr": {
                  "type": "string",
                  "description": "Success header text in French."
                }
              }
            }
          },
          "description": "Custom text that appears on the page after a signer completes a document."
        },
        "registration": {
          "type": "object",
          "properties": {
            "visibility": {
              "type": "boolean",
              "description": "Whether the registration button on the completion page should be visible or not for new users."
            }
          }
        },
        "button-download": {
          "type": "object",
          "properties": {
            "visibility": {
              "type": "boolean",
              "description": "Whether the button to download a document on the completion page should be visible or not."
            }
          }
        },
        "button-to-signnow": {
          "type": "object",
          "properties": {
            "visibility": {
              "type": "boolean",
              "description": "Whether the button with a link to signNow on the completion page should be visible or not."
            }
          }
        }
      },
      "description": "Customization of the page that opens after a document is signed or declined."
    },
    "document-name": {
      "type": "object",
      "properties": {
        "visibility": {
          "type": "boolean",
          "default": true,
          "description": "Whether to show the document name in the header."
        }
      },
      "description": "Configuration of the document name. Available for embedded signing, embedded sending (in the editor), embedded editor, FreeForm invite, and embedded view."
    },
    "editing-tools": {
      "type": "object",
      "properties": {
        "background": {
          "type": "string",
          "example": "#ffffff",
          "description": "Background color of the editing tools panel in HEX color code."
        }
      },
      "description": "Configuration of the left-side editing tools panel. Available for embedded sending, embedded editor, and FreeForm invite."
    },
    "decline-button": {
      "type": "object",
      "properties": {
        "visibility": {
          "type": "boolean",
          "description": "Whether the **Decline** option should be visible in the **More Actions** menu."
        }
      },
      "description": "An object that determines the availability of the decline option to the recipient."
    },
    "default-fields": {
      "type": "object",
      "properties": {
        "visibility": {
          "type": "boolean",
          "example": true,
          "description": "Whether to show the Default fields tab in the left sidebar. When set to `false`, the Custom fields tab becomes the only tab and the Default / Custom fields tab switcher disappears. The default value is `true`."
        }
      },
      "description": "Configuration of the Default fields tab. Available for embedded sending and embedded editor."
    },
    "field-settings": {
      "type": "object",
      "properties": {
        "visibility": {
          "type": "boolean",
          "example": true,
          "description": "Whether to show the Element settings button on the right side of the header. The default value is true."
        }
      },
      "description": "Configuration of the Element settings in the right sidebar. The Element settings allows users to customize field settings. Available for embedded sending and embedded editor."
    },
    "page-dimension": {
      "type": "object",
      "properties": {
        "percent": {
          "type": "integer",
          "maximum": 300,
          "minimum": 10,
          "multipleOf": 10,
          "description": "The dimension of the signing session page when it is opened in percents."
        }
      }
    },
    "preview-button": {
      "type": "object",
      "properties": {
        "visibility": {
          "type": "boolean",
          "default": true,
          "description": "Whether to show the Open Preview button in the toolbar."
        }
      },
      "description": "Configuration of the Open Preview button in the toolbar. Available for embedded sending and embedded editor."
    },
    "complete-footer": {
      "type": "object",
      "properties": {
        "visibility": {
          "type": "boolean",
          "description": "Whether the footer about completion of all the required fields should be visible or not."
        },
        "custom-text": {
          "type": "object",
          "properties": {
            "en": {
              "type": "string",
              "description": "Footer text in English."
            },
            "es": {
              "type": "string",
              "description": "Footer text in Spanish."
            },
            "fr": {
              "type": "string",
              "description": "Footer text in French."
            }
          }
        }
      }
    },
    "continue-button": {
      "type": "object",
      "properties": {
        "visibility": {
          "type": "boolean",
          "default": true,
          "description": "Whether to show the Continue button in the header."
        }
      },
      "description": "Configuration of the Continue button. Available for embedded sending."
    },
    "download-button": {
      "type": "object",
      "properties": {
        "visibility": {
          "type": "boolean",
          "default": true,
          "description": "Defines the visibility of the **Download** and **History** buttons during the signing session and **Download**, **Download With History** and **Document History** buttons in view mode."
        }
      },
      "description": "An object that defines the download options for the recipient."
    },
    "request-payment": {
      "type": "object",
      "properties": {
        "visibility": {
          "type": "boolean",
          "default": true,
          "description": "Whether to show the Payment Request option in the settings dropdown."
        }
      },
      "description": "Configuration of the request payment option in the editor. Available for embedded sending and embedded editor."
    },
    "signing-settings": {
      "type": "object",
      "properties": {
        "guide-signers-only-through-required-fields": {
          "type": "boolean",
          "default": true,
          "description": "Whether to guide signers through required fields only. `true` - the **Go Through Required Fields** checkbox is checked in **More Actions**; the signer will be guided only through required fields; `false` \u2013 the **Go Through Required Fields** checkbox is not checked in **More Actions**; the signer will be guided through all fields."
        },
        "auto-apply-signatures-and-initials-to-document-fields": {
          "type": "boolean",
          "default": true,
          "description": "Whether to offer a signer to automatically apply signature and initials to all corresponding empty fields in a document after filling out the first field. `true` \u2013 the signer will be prompted to automatically fill all empty signature and initials fields after completing the first one; `false` \u2013 the signer will need to fill each signature and initials field individually; no prompt will be shown. "
        }
      },
      "description": "Settings configured for the signing experience."
    },
    "manage-recipients": {
      "type": "object",
      "properties": {
        "visibility": {
          "type": "boolean",
          "default": true,
          "description": "Whether to show the Manage Recipients link."
        }
      },
      "description": "Configuration of the Manage Recipients link. Available for embedded sending and embedded editor."
    },
    "step-progress-bar": {
      "type": "object",
      "properties": {
        "visibility": {
          "type": "boolean",
          "default": true,
          "description": "Whether to show the steps progress bar in the header."
        }
      },
      "description": "Configuration of the steps progress bar. Available for embedded sending and embedded editor."
    },
    "thumbnails-button": {
      "type": "object",
      "properties": {
        "visibility": {
          "type": "boolean",
          "default": true,
          "description": "Whether to show the Thumbnails button in the toolbar."
        }
      },
      "description": "Configuration of the Thumbnails button in the toolbar. Available for embedded sending and embedded editor."
    }
  },
  "x-examples": {
    "Example 1": {
      "settings": {
        "visibility": "true"
      },
      "navigation": {
        "visibility": "true"
      },
      "progress-bar": {
        "default-color": "#232323",
        "completed-color": "#232323"
      },
      "accessibility": {
        "color": "#232323",
        "border": "#232323",
        "enabled": false,
        "background": "#232323",
        "visibility": "true",
        "hover-color": "#232323",
        "active-color": "#232323",
        "hover-border": "#232323",
        "active-border": "#232323",
        "hover-background": "#232323",
        "active-background": "#232323"
      }
    }
  }
}
```

**Example** (`example-1`)

```json
{
  "fields": {
    "date": {
      "visibility": true
    },
    "text": {
      "visibility": true
    },
    "email": {
      "visibility": true
    },
    "stamp": {
      "visibility": true
    },
    "formula": {
      "visibility": true
    },
    "checkbox": {
      "visibility": true
    },
    "dropdown": {
      "visibility": true
    },
    "fullname": {
      "visibility": true
    },
    "initials": {
      "visibility": true
    },
    "hyperlink": {
      "visibility": true
    },
    "signature": {
      "visibility": true
    },
    "attachment": {
      "visibility": true
    },
    "radiobutton": {
      "visibility": true
    }
  },
  "sidebar": {
    "background": "#ffffff",
    "visibility": true
  },
  "toolbar": {
    "background": "#ffffff",
    "visibility": true
  },
  "settings": {
    "visibility": true
  },
  "auth-page": {
    "check-pin": {
      "phone": {
        "body-text": {
          "en": "Enter the document password sent you by voice call or sms.",
          "es": "Introduce la contrase\u00f1a del documento que te ha enviado por llamada de voz o sms.",
          "fr": "Entrez le mot de passe du document que vous avez re\u00e7u par appel vocal ou sms."
        }
      },
      "password": {
        "body-text": {
          "en": "Enter the document password below to unlock the document.",
          "es": "Introduce la contrase\u00f1a del documento a continuaci\u00f3n para desbloquear el documento.",
          "fr": "Entrez le mot de passe du document ci-dessous pour d\u00e9verrouiller le document."
        }
      }
    },
    "header-text": {
      "en": "{sender_email} invited you to sign {document_name}",
      "es": "{sender_email} te ha invitado a firmar {document_name}",
      "fr": "{sender_email} vous a invit\u00e9 \u00e0 signer {document_name}"
    },
    "request-pin": {
      "body-text": {
        "en": "Press the button bellow to have the password sent to you by voice call or sms message.",
        "es": "Pulsa el bot\u00f3n de abajo para que te env\u00eden la contrase\u00f1a por llamada de voz o mensaje sms.",
        "fr": "Appuyez sur le bouton ci-dessous pour que le mot de passe vous soit envoy\u00e9 par appel vocal ou sms."
      }
    }
  },
  "navigation": {
    "visibility": true
  },
  "sender-info": {
    "visibility": true,
    "contact-name": "Contact Name",
    "contact-email": "contact@email.com"
  },
  "close-button": {
    "title": {
      "editor": {
        "en": "Save and Close",
        "es": "Guardar y cerrar",
        "fr": "Enregistrer et fermer"
      },
      "signing": {
        "en": "Save Progress and Finish Later",
        "es": "Guardar progresos y terminar m\u00e1s tarde",
        "fr": "Enregistrer la progression et terminer plus tard"
      }
    },
    "visibility": true
  },
  "progress-bar": {
    "default-color": "#e3e6e9",
    "completed-color": "#0777cf"
  },
  "support-chat": {
    "visibility": true
  },
  "accessibility": {
    "color": "#546470",
    "border": "#ffffff",
    "enabled": false,
    "background": "#ffffff",
    "visibility": true,
    "hover-color": "#546470",
    "active-color": "#546470",
    "hover-border": "#f1f2f4",
    "active-border": "#dadee2",
    "hover-background": "#f1f2f4",
    "active-background": "#dadee2"
  },
  "complete-page": {
    "decline": {
      "body-text": {
        "en": "You did not consent to do business electronically with the sender. The Electronic Signature Disclosure can still be accepted before the sender cancels the invite. The invite can be found in your inbox and signNow account. You can still download the document if you\u2019d like to. Contact the sender to find out what to do next.",
        "es": "No has dado tu consentimiento para hacer negocios electr\u00f3nicamente con el remitente. La Divulgaci\u00f3n de Firma Electr\u00f3nica a\u00fan se puede aceptar antes de que el remitente cancele la invitaci\u00f3n. Puedes encontrar la invitaci\u00f3n en tu bandeja de entrada y en la cuenta de signNow. A\u00fan puedes descargar el documento si lo deseas. Ponte en contacto con el remitente para saber qu\u00e9 hacer a continuaci\u00f3n.",
        "fr": "Vous n\u2019avez pas consenti \u00e0 traiter par voie \u00e9lectronique avec l\u2019exp\u00e9diteur. La Divulgation par signature \u00e9lectronique peut toujours \u00eatre accept\u00e9e avant que l\u2019exp\u00e9diteur n\u2019annule l\u2019invitation. L\u2019invitation se trouve dans votre bo\u00eete de r\u00e9ception et dans votre compte signNow. Vous pouvez n\u00e9anmoins t\u00e9l\u00e9charger le document si vous le souhaitez. Contactez l\u2019exp\u00e9diteur pour conna\u00eetre les prochaines \u00e9tapes."
      },
      "header-text": {
        "en": "You've declined the Electronic Signature Disclosure agreement",
        "es": "Has rechazado el acuerdo de Divulgaci\u00f3n de firmas electr\u00f3nicas",
        "fr": "Vous avez refus\u00e9 l\u2019accord de Divulgation par signature \u00e9lectronique"
      }
    },
    "success": {
      "body-text": {
        "en": "The sender will be notified and receive the signed document.",
        "es": "El remitente recibir\u00e1 una notificaci\u00f3n y el documento firmado. Tambi\u00e9n se ha enviado una copia a tu bandeja de entrada y se ha guardado en tu cuenta de signNow.",
        "fr": "L'exp\u00e9diteur sera inform\u00e9 et recevra le document sign\u00e9. Une copie a \u00e9galement \u00e9t\u00e9 envoy\u00e9e dans votre bo\u00eete de r\u00e9ception et enregistr\u00e9e dans votre compte signNow."
      },
      "header-text": {
        "en": "You've filled out and signed the document",
        "es": "Has completado y firmado el documento",
        "fr": "Vous avez rempli et sign\u00e9 le document"
      }
    },
    "registration": {
      "visibility": true
    },
    "button-download": {
      "visibility": true
    },
    "button-to-signnow": {
      "visibility": false
    }
  },
  "document-name": {
    "visibility": true
  },
  "editing-tools": {
    "background": "#ffffff"
  },
  "decline-button": {
    "visibility": true
  },
  "default-fields": {
    "visibility": true
  },
  "field-settings": {
    "visibility": true
  },
  "page-dimension": {
    "percent": 150
  },
  "preview-button": {
    "visibility": true
  },
  "complete-footer": {
    "visibility": true,
    "custom-text": {
      "en": "You've completed all required fields. Review your document and click Finish.",
      "es": "Has completado todos los campos obligatorios. Revisa tu documento y haz clic en Finalizar.",
      "fr": "Vous avez rempli tous les champs obligatoires. Relisez votre document et cliquez sur Terminer."
    }
  },
  "continue-button": {
    "visibility": true
  },
  "download-button": {
    "visibility": true
  },
  "request-payment": {
    "visibility": true
  },
  "signing-settings": {
    "guide-signers-only-through-required-fields": true,
    "auto-apply-signatures-and-initials-to-document-fields": true
  },
  "manage-recipients": {
    "visibility": true
  },
  "step-progress-bar": {
    "visibility": true
  },
  "thumbnails-button": {
    "visibility": true
  },
  "decline-invite-text": {
    "en": "You're about to decline to sign {document_name} from {invite_owner_email}. Note that all the changes you've made to this document will be lost.",
    "es": "Est\u00e1s a punto de rechazar para firmar {document_name} de {invite_owner_email}. Ten en cuenta en cuenta que todos los cambios que hayas realizado en este documento se perder\u00e1n.",
    "fr": "Vous \u00eates sur le point de refuser de signer {document_name} de {invite_owner_email}. Notez que toutes les modifications que vous avez apport\u00e9es \u00e0 ce document seront perdues."
  }
}
```

## Responses

### 204

Success, no content

### 400

* Incorrect or missing token.
* Request without body.
* `visibility` is not a boolean.
* `color` value is not a string.
* `color` is not a HEX color code.
* `active-color` is not a string.
* `active-color` is not a HEX color code.
* `hover-color` is not a string.
* `hover-color` is not a HEX color code.
* `default-color` is not a string.
* `default-color` is not a HEX color code.
* `completed-color` is not a string.
* `completed-color` is not a HEX color code.
* `background` is not a string.
* `background` is not a HEX color code.
* `active-background` is not a string.
* `active-background` is not a HEX color code.
* `hover-background` is not a string.
* `hover-background` is not a HEX color code.
* `border` is not a string.
* `border` is not a HEX color code.
* `active-border` is not a string.
* `active-border` is not a HEX color code.
* `hover-border` is not a string.
* `hover-border` is not a HEX color code.
* `enabled` is not a boolean.
* `navigation` is not an array.
* `navigation.visibility` is not a boolean.
* `progress-bar` is not an array.
* `sidebar` is not an array.
* `sidebar.background` is not a string.
* `sidebar.visibility` is not a boolean.
* `complete-footer` field is not an array.
* `complete-footer.visibility` is not a boolean.
* `complete-footer.custom-text` is not an array.
* `complete-footer.custom-text.en` is not a string.
* `support-chat` is not an array.
* `support-chat.visibility` is not a boolean.
* `complete-page.success` is not an array.
* `complete-page.success.header-text.en` is not a string.
* `complete-page.success.body-text.en` is not a string.
* `complete-page.decline` is not an array.
* `complete-page.decline.header-text.en` is not a string.
* `complete-page.decline.body-text.en` is not a string.
* `registration` is not an array.
* `registration.visibility` is not a boolean.
* `button-to-signnow` is not an array.
* `button-to-signnow.visibility` is not a boolean.
* `button-download` is not an array.
* `button-download.visibility` is not a boolean.
* `sender-info` is not an array.
* `sender-info.visibility` is not a boolean.
* `page-dimension` is not an array.
* `percent` is not an integer.
* `contact-name` is not a string.
* `contact-email` is not a string.
* `close-button` is not an array.
* `close-button.visibility` is not a boolean.
* `close-button` is not an array.
* `close-button.visibility` is not a boolean.
* `close-button.title` is not an array.
* `close-button.title.signing` is not an array.
* `close-button.title.editor` is not an array.
* `close-button.title.signing.en` is not a string.
* `close-button.title.signing.fr` is not a string.
* `close-button.title.signing.es` is not a string.
* `close-button.title.editor.en` is not a string.
* `close-button.title.editor.fr` is not a string.
* `close-button.title.editor.es` is not a string.
* `close-button.title.signing.en` is too long.
* `close-button.title.signing.fr` is too long.
* `close-button.title.signing.es` is too long.
* `close-button.title.editor.en` is too long.
* `close-button.title.editor.fr` is too long.
* `close-button.title.editor.es` is too long.
* `close-button.title.signing.en` contains UTF 4-byte characters.
* `close-button.title.signing.fr` contains UTF 4-byte characters.
* `close-button.title.signing.es` contains UTF 4-byte characters.
* `close-button.title.editor.en` contains UTF 4-byte characters.
* `close-button.title.editor.fr` contains UTF 4-byte characters.
* `close-button.title.editor.es` contains UTF 4-byte characters.
* `decline-button` is not an array.
* `decline-button.visibility` is not a boolean.
* `document-name` is not an array.
* `document-name.visibility` is not a boolean.
* `toolbar` is not an array.
* `toolbar.visibility` is not a boolean.
* `toolbar.background` not a string.
* `toolbar.background` has incorrect format.
* `editing-tools` is not an array.
* `editing-tools.background` is not a string.
* `editing-tools.background` has incorrect format.
* `manage-recipients` is not an array.
* `manage-recipients.visibility` is not a boolean.
* `preview-button` is not an array.
* `preview-button.visibility` is not a boolean.
* `thumbnails-button` is not an array.
* `thumbnails-button.visibility` is not a boolean.
* `request-payment` is not an array.
* `request-payment.visibility` is not a boolean.
* `continue-button` is not an array.
* `continue-button.visibility` is not a boolean.
* `step-progress-bar` is not an array.
* `step-progress-bar.visibility` is not a boolean.
* `signing-settings` type is incorrect.
* `signing-settings.guide-signers-only-through-required-fields` type is incorrect.
* `signing-settings.auto-apply-signatures-and-initials-to-document-fields` type is incorrect.
* `fields` is not an array.
* `fields.signature` is not an array.
* `fields.signature.visibility` is not a boolean.
* `fields.text` is not an array.
* `fields.text.visibility` is not a boolean.
* `fields.date` is not an array.
* `fields.date.visibility` is not a boolean.
* `fields.initials` is not an array.
* `fields.initials.visibility` is not a boolean.
* `fields.fullname` is not an array.
* `fields.fullname.visibility` is not a boolean.
* `fields.email` is not an array.
* `fields.email.visibility` is not a boolean.
* `fields.checkbox` is not an array.
* `fields.checkbox.visibility` is not a boolean.
* `fields.radiobutton` is not an array.
* `fields.radiobutton.visibility` is not a boolean.
* `fields.attachment` is not an array.
* `fields.attachment.visibility` is not a boolean.
* `fields.dropdown` is not an array.
* `fields.dropdown.visibility` is not a boolean.
* `fields.stamp` is not an array.
* `fields.stamp.visibility` is not a boolean.
* `fields.formula` is not an array.
* `fields.formula.visibility` is not a boolean.
* `fields.hyperlink` is not an array.
* `fields.hyperlink.visibility` is not a boolean.
* `field-settings` is not an array.
* `field-settings.visibility` is not a boolean.
* `default-fields` is not an array.
* `default-fields.visibility` is not a boolean.


**Example** (`Example 1`)

```json
{
  "errors": [
    {
      "code": 25002007,
      "message": "The 'color' attribute format is invalid"
    }
  ]
}
```

**Example** (`color not string`)

```json
{
  "errors": [
    {
      "code": 25002006,
      "message": "The 'color' attribute must be a string"
    }
  ]
}
```

**Example** (`border not string`)

```json
{
  "errors": [
    {
      "code": 25002008,
      "message": "The 'background' attribute must be a string"
    }
  ]
}
```

**Example** (`sidebar not array`)

```json
{
  "errors": [
    {
      "code": 25002145,
      "message": "The 'sidebar' field must be an array."
    }
  ]
}
```

**Example** (`sidebar.visibility`)

```json
{
  "errors": [
    {
      "code": 25002148,
      "message": "The 'sidebar.visibility' must be a boolean."
    }
  ]
}
```

**Example** (`enabled not boolean`)

```json
{
  "errors": [
    {
      "code": 25002190,
      "message": "The 'accessibility.enabled' field must be a boolean."
    }
  ]
}
```

**Example** (`percent not integer`)

```json
{
  "errors": [
    {
      "code": 25002215,
      "message": "The `page-dimension.percent` field must be an integer."
    }
  ]
}
```

**Example** (`Request without body`)

```json
{
  "errors": [
    {
      "code": 25002002,
      "message": "Invalid payload given."
    }
  ]
}
```

**Example** (`navigation not array`)

```json
{
  "errors": [
    {
      "code": 25002088,
      "message": "The 'navigation' attribute must be an array."
    }
  ]
}
```

**Example** (`background not string`)

```json
{
  "errors": [
    {
      "code": 25002004,
      "message": "The 'background' attribute must be a string"
    }
  ]
}
```

**Example** (`custom-text not array`)

```json
{
  "errors": [
    {
      "code": 25002151,
      "message": "The 'complete-footer.custom-text' must be an array."
    }
  ]
}
```

**Example** (`sender-info not array`)

```json
{
  "errors": [
    {
      "code": 25002207,
      "message": "The `sender-info` field must be an array."
    }
  ]
}
```

**Example** (`close-button not array`)

```json
{
  "errors": [
    {
      "code": 25002218,
      "message": "The close-button field must be an array."
    }
  ]
}
```

**Example** (`fields is not an array`)

```json
{
  "errors": [
    {
      "code": 25002295,
      "message": "The `fields` field must be an array."
    }
  ]
}
```

**Example** (`hover-color not string`)

```json
{
  "errors": [
    {
      "code": 25002012,
      "message": "The 'hover-color' attribute must be a string"
    }
  ]
}
```

**Example** (`progress-bar not array`)

```json
{
  "errors": [
    {
      "code": 25002089,
      "message": "The 'progress-bar' attribute must be an array."
    }
  ]
}
```

**Example** (`registration not array`)

```json
{
  "errors": [
    {
      "code": 25002139,
      "message": "This value should be of type array."
    }
  ]
}
```

**Example** (`support-chat not array`)

```json
{
  "errors": [
    {
      "code": 25002158,
      "message": "The 'support-chat' field must be an array."
    }
  ]
}
```

**Example** (`visibility not boolean`)

```json
{
  "errors": [
    {
      "code": 25002003,
      "message": "The visibility should be a boolean."
    }
  ]
}
```

**Example** (`active-color not string`)

```json
{
  "errors": [
    {
      "code": 25002039,
      "message": "The 'active-color' attribute must be a string"
    }
  ]
}
```

**Example** (`contact-name not string`)

```json
{
  "errors": [
    {
      "code": 25002212,
      "message": "The `sender-info.contact-name` must be a string."
    }
  ]
}
```

**Example** (`hover-border not string`)

```json
{
  "errors": [
    {
      "code": 25002014,
      "message": "The 'hover-border' attribute must be a string"
    }
  ]
}
```

**Example** (`toolbar is not an array`)

```json
{
  "errors": [
    {
      "code": 25002276,
      "message": "The `toolbar` field must be an array."
    }
  ]
}
```

**Example** (`active-border not string`)

```json
{
  "errors": [
    {
      "code": 25002041,
      "message": "The 'active-border' attribute must be a string."
    }
  ]
}
```

**Example** (`color not HEX color code`)

```json
{
  "errors": [
    {
      "code": 25002007,
      "message": "The 'color' attribute format is invalid"
    }
  ]
}
```

**Example** (`contact-email not string`)

```json
{
  "errors": [
    {
      "code": 25002209,
      "message": "The `sender-info.contact-email` must be a string."
    }
  ]
}
```

**Example** (`decline-button not array`)

```json
{
  "errors": [
    {
      "code": 25002220,
      "message": "The decline-button field must be an array."
    }
  ]
}
```

**Example** (`default-color not string`)

```json
{
  "errors": [
    {
      "code": 25002043,
      "message": "The 'default-color' attribute must be a string."
    }
  ]
}
```

**Example** (`page-dimension not array`)

```json
{
  "errors": [
    {
      "code": 25002214,
      "message": "The `page-dimension` field must be an array."
    }
  ]
}
```

**Example** (`border not HEX color code`)

```json
{
  "errors": [
    {
      "code": 25002009,
      "message": "The 'border' attribute format is invalid"
    }
  ]
}
```

**Example** (`complete-footer not array`)

```json
{
  "errors": [
    {
      "code": 25002149,
      "message": "The 'complete-footer' field must be an array."
    }
  ]
}
```

**Example** (`Incorrect or missing token`)

```json
{
  "code": 1537,
  "error": "invalid_token"
}
```

**Example** (`completed-color not string`)

```json
{
  "errors": [
    {
      "code": 25002045,
      "message": "The 'completed-color' attribute must be a string."
    }
  ]
}
```

**Example** (`default-color is not string`)

```json
{
  "errors": [
    {
      "code": 25002043,
      "message": "The 'default-color' attribute must be a string."
    }
  ]
}
```

**Example** (`fields.date is not an array`)

```json
{
  "errors": [
    {
      "code": 25002300,
      "message": "The `fields.date` must be an array."
    }
  ]
}
```

**Example** (`fields.text is not an array`)

```json
{
  "errors": [
    {
      "code": 25002298,
      "message": "The `fields.text` must be an array."
    }
  ]
}
```

**Example** (`hover-background not string`)

```json
{
  "errors": [
    {
      "code": 25002010,
      "message": "The 'hover-background' attribute must be a string"
    }
  ]
}
```

**Example** (`active-background not string`)

```json
{
  "errors": [
    {
      "code": 25002037,
      "message": "The 'active-background' attribute must be a string"
    }
  ]
}
```

**Example** (`close-button.title not array`)

```json
{
  "errors": [
    {
      "code": 25002355,
      "message": "The `close-button.title` must be an array."
    }
  ]
}
```

**Example** (`completed-color in ot string`)

```json
{
  "errors": [
    {
      "code": 25002045,
      "message": "The 'completed-color' attribute must be a string."
    }
  ]
}
```

**Example** (`custom-text value not string`)

```json
{
  "errors": [
    {
      "code": 25002152,
      "message": "The 'complete-footer.custom-text.en' must be a string."
    }
  ]
}
```

**Example** (`fields.email is not an array`)

```json
{
  "errors": [
    {
      "code": 25002306,
      "message": "The `fields.email` must be an array."
    }
  ]
}
```

**Example** (`fields.stamp is not an array`)

```json
{
  "errors": [
    {
      "code": 25002316,
      "message": "The `fields.stamp` must be an array."
    }
  ]
}
```

**Example** (`background not HEX color code`)

```json
{
  "errors": [
    {
      "code": 25002005,
      "message": "The 'background' attribute format is invalid"
    }
  ]
}
```

**Example** (`document-name is not an array`)

```json
{
  "errors": [
    {
      "code": 25002274,
      "message": "The `document-name` field must be an array."
    }
  ]
}
```

**Example** (`editing-tools is not an array`)

```json
{
  "errors": [
    {
      "code": 25002280,
      "message": "The `editing-tools` field must be an array."
    }
  ]
}
```

**Example** (`sidebar.background not string`)

```json
{
  "errors": [
    {
      "code": 25002146,
      "message": "The 'sidebar.background' must be a string."
    }
  ]
}
```

**Example** (`toolbar.background not string`)

```json
{
  "errors": [
    {
      "code": 25002278,
      "message": "The `toolbar.background` must be a string."
    }
  ]
}
```

**Example** (`fields.formula is not an array`)

```json
{
  "errors": [
    {
      "code": 25002318,
      "message": "The `fields.formula` must be an array."
    }
  ]
}
```

**Example** (`hover-color not HEX color code`)

```json
{
  "errors": [
    {
      "code": 25002013,
      "message": "The 'hover-color' attribute format is invalid"
    }
  ]
}
```

**Example** (`preview-button is not an array`)

```json
{
  "errors": [
    {
      "code": 25002285,
      "message": "The `preview-button` field must be an array."
    }
  ]
}
```

**Example** (`toolbar.visibility not boolean`)

```json
{
  "errors": [
    {
      "code": 25002277,
      "message": "The `toolbar.visibility` must be a boolean."
    }
  ]
}
```

**Example** (`active-color not HEX color code`)

```json
{
  "errors": [
    {
      "code": 25002040,
      "message": "The 'active-color' attribute format is invalid"
    }
  ]
}
```

**Example** (`complete-page.decline not array`)

```json
{
  "errors": [
    {
      "code": 25002173,
      "message": "The 'complete-page.decline' attribute must be an array."
    }
  ]
}
```

**Example** (`continue-button is not an array`)

```json
{
  "errors": [
    {
      "code": 25002291,
      "message": "The `continue-button` field must be an array."
    }
  ]
}
```

**Example** (`decline.body-text.en not string`)

```json
{
  "errors": [
    {
      "code": 25002180,
      "message": "The 'complete-page.decline.body-text.en' must be a string."
    }
  ]
}
```

**Example** (`fields.checkbox is not an array`)

```json
{
  "errors": [
    {
      "code": 25002308,
      "message": "The `fields.checkbox` must be an array."
    }
  ]
}
```

**Example** (`fields.dropdown is not an array`)

```json
{
  "errors": [
    {
      "code": 25002314,
      "message": "The `fields.dropdown` must be an array."
    }
  ]
}
```

**Example** (`fields.fullname is not an array`)

```json
{
  "errors": [
    {
      "code": 25002304,
      "message": "The `fields.fullname` must be an array."
    }
  ]
}
```

**Example** (`fields.initials is not an array`)

```json
{
  "errors": [
    {
      "code": 25002302,
      "message": "The `fields.initials` must be an array."
    }
  ]
}
```

**Example** (`hover-border not HEX color code`)

```json
{
  "errors": [
    {
      "code": 25002015,
      "message": "The 'hover-border' attribute format is invalid"
    }
  ]
}
```

**Example** (`request-payment is not an array`)

```json
{
  "errors": [
    {
      "code": 25002289,
      "message": "The `request-payment` field must be an array."
    }
  ]
}
```

**Example** (`signing-settings type incorrect`)

```json
{
  "errors": [
    {
      "code": 25002376,
      "message": "The 'signing-settings' field must be an array."
    }
  ]
}
```

**Example** (`success.body-text.en not string`)

```json
{
  "errors": [
    {
      "code": 25002167,
      "message": "The 'complete-page.success.body-text.en' must be a string."
    }
  ]
}
```

**Example** (`active-border not HEX color code`)

```json
{
  "errors": [
    {
      "code": 25002042,
      "message": "The 'active-border' attribute format is invalid"
    }
  ]
}
```

**Example** (`complete-page.success not array `)

```json
{
  "errors": [
    {
      "code": 25002160,
      "message": "The 'complete-page.success' attribute must be an array."
    }
  ]
}
```

**Example** (`default-color not HEX color code`)

```json
{
  "errors": [
    {
      "code": 25002044,
      "message": "The 'default-color' attribute format is invalid."
    }
  ]
}
```

**Example** (`fields.hyperlink is not an array`)

```json
{
  "errors": [
    {
      "code": 25002320,
      "message": "The `fields.hyperlink` must be an array."
    }
  ]
}
```

**Example** (`fields.signature is not an array`)

```json
{
  "errors": [
    {
      "code": 25002296,
      "message": "The `fields.signature` must be an array."
    }
  ]
}
```

**Example** (`decline.header-text.en not string`)

```json
{
  "errors": [
    {
      "code": 25002174,
      "message": "The 'complete-page.decline.header-text.en' must be a string."
    }
  ]
}
```

**Example** (`fields.attachment is not an array`)

```json
{
  "errors": [
    {
      "code": 25002312,
      "message": "The `fields.attachment` must be an array."
    }
  ]
}
```

**Example** (`manage-recipients is not an array`)

```json
{
  "errors": [
    {
      "code": 25002283,
      "message": "The `manage-recipients` field must be an array."
    }
  ]
}
```

**Example** (`step-progress-bar is not an array`)

```json
{
  "errors": [
    {
      "code": 25002293,
      "message": "The `step-progress-bar` field must be an array."
    }
  ]
}
```

**Example** (`success.header-text.en not string`)

```json
{
  "errors": [
    {
      "code": 25002161,
      "message": "The 'complete-page.success.header-text.en' must be a string."
    }
  ]
}
```

**Example** (`thumbnails-button is not an array`)

```json
{
  "errors": [
    {
      "code": 25002287,
      "message": "The `thumbnails-button` field must be an array."
    }
  ]
}
```

**Example** (`toolbar.background invalid format`)

```json
{
  "errors": [
    {
      "code": 25002279,
      "message": "The `toolbar.background` must contain a valid HTML color format."
    }
  ]
}
```

**Example** (`completed-color not HEX color code`)

```json
{
  "errors": [
    {
      "code": 25002046,
      "message": "The 'completed-color' attribute format is invalid."
    }
  ]
}
```

**Example** (`fields.date.visibility not boolean`)

```json
{
  "errors": [
    {
      "code": 25002301,
      "message": "The `fields.date.visibility` must be a boolean."
    }
  ]
}
```

**Example** (`fields.radiobutton is not an array`)

```json
{
  "errors": [
    {
      "code": 25002310,
      "message": "The `fields.radiobutton` must be an array."
    }
  ]
}
```

**Example** (`fields.text.visibility not boolean`)

```json
{
  "errors": [
    {
      "code": 25002299,
      "message": "The `fields.text.visibility` must be a boolean."
    }
  ]
}
```

**Example** (`sender-info.visibility not boolean`)

```json
{
  "errors": [
    {
      "code": 25002208,
      "message": "The `sender-info.visibility` must be a boolean."
    }
  ]
}
```

**Example** (`close-button.title.editor not array`)

```json
{
  "errors": [
    {
      "code": 25002357,
      "message": "The `close-button.title.editor` must be an array."
    }
  ]
}
```

**Example** (`close-button.visibility not boolean`)

```json
{
  "errors": [
    {
      "code": 25002219,
      "message": "The `close-button.visibility` must be a boolean."
    }
  ]
}
```

**Example** (`editing-tools.background not string`)

```json
{
  "errors": [
    {
      "code": 25002281,
      "message": "The `editing-tools.background` must be a string."
    }
  ]
}
```

**Example** (`fields.email.visibility not boolean`)

```json
{
  "errors": [
    {
      "code": 25002307,
      "message": "The `fields.email.visibility` must be a boolean."
    }
  ]
}
```

**Example** (`fields.stamp.visibility not boolean`)

```json
{
  "errors": [
    {
      "code": 25002317,
      "message": "The `fields.stamp.visibility` must be a boolean."
    }
  ]
}
```

**Example** (`hover-background not HEX color code`)

```json
{
  "errors": [
    {
      "code": 25002011,
      "message": "The 'hover-background' attribute format is invalid"
    }
  ]
}
```

**Example** (`registration.visibility not boolean`)

```json
{
  "errors": [
    {
      "code": 25002186,
      "message": "The 'complete-page.registration.visibility' must be boolean."
    }
  ]
}
```

**Example** (`support-chat.visibility not boolean`)

```json
{
  "errors": [
    {
      "code": 25002159,
      "message": "The 'support-chat.visibility' must be a boolean."
    }
  ]
}
```

**Example** (`active-background not HEX color code`)

```json
{
  "errors": [
    {
      "code": 25002038,
      "message": "The 'active-background' attribute format is invalid"
    }
  ]
}
```

**Example** (`close-button.title.signing not array`)

```json
{
  "errors": [
    {
      "code": 25002356,
      "message": "The `close-button.title.signing` must be an array."
    }
  ]
}
```

**Example** (`default-fields field is not an array`)

```json
{
  "errors": [
    {
      "code": 25002381,
      "message": "The `default-fields` field must be an array."
    }
  ]
}
```

**Example** (`document-name.visibility not boolean`)

```json
{
  "errors": [
    {
      "code": 25002275,
      "message": "The `document-name.visibility` must be a boolean."
    }
  ]
}
```

**Example** (`field-settings field is not an array`)

```json
{
  "errors": [
    {
      "code": 25002379,
      "message": "The `field-settings` field must be an array."
    }
  ]
}
```

**Example** (`close-button.title.editor.en too long`)

```json
{
  "errors": [
    {
      "code": 25002367,
      "message": "The `close-button.title.editor.en` must contain no more than 50 characters."
    }
  ]
}
```

**Example** (`close-button.title.editor.es too long`)

```json
{
  "errors": [
    {
      "code": 25002369,
      "message": "The `close-button.title.editor.es` must contain no more than 50 characters."
    }
  ]
}
```

**Example** (`close-button.title.editor.fr too long`)

```json
{
  "errors": [
    {
      "code": 25002368,
      "message": "The `close-button.title.editor.fr` must contain no more than 50 characters."
    }
  ]
}
```

**Example** (`decline-button.visibility not boolean`)

```json
{
  "errors": [
    {
      "code": 25002221,
      "message": "The `decline-button.visibility` must be a boolean."
    }
  ]
}
```

**Example** (`fields.formula.visibility not boolean`)

```json
{
  "errors": [
    {
      "code": 25002319,
      "message": "The `fields.formula.visibility` must be a boolean."
    }
  ]
}
```

**Example** (`preview-button.visibility not boolean`)

```json
{
  "errors": [
    {
      "code": 25002286,
      "message": "The `preview-button.visibility` must be a boolean."
    }
  ]
}
```

**Example** (`button_download.visibility not boolean`)

```json
{
  "errors": [
    {
      "code": 25002188,
      "message": "The 'complete-page.button_download.visibility' must be boolean."
    }
  ]
}
```

**Example** (`close-button.title.signing.en too long`)

```json
{
  "errors": [
    {
      "code": 25002364,
      "message": "The `close-button.title.signing.en` must contain no more than 50 characters."
    }
  ]
}
```

**Example** (`close-button.title.signing.es too long`)

```json
{
  "errors": [
    {
      "code": 25002366,
      "message": "The `close-button.title.signing.es` must contain no more than 50 characters."
    }
  ]
}
```

**Example** (`close-button.title.signing.fr too long`)

```json
{
  "errors": [
    {
      "code": 25002365,
      "message": "The `close-button.title.signing.fr` must contain no more than 50 characters."
    }
  ]
}
```

**Example** (`complete-footer.visibility not boolean`)

```json
{
  "errors": [
    {
      "code": 25002150,
      "message": "The 'complete-footer.visibility' must be a boolean."
    }
  ]
}
```

**Example** (`continue-button.visibility not boolean`)

```json
{
  "errors": [
    {
      "code": 25002292,
      "message": "The `continue-button.visibility` must be a boolean."
    }
  ]
}
```

**Example** (`fields.checkbox.visibility not boolean`)

```json
{
  "errors": [
    {
      "code": 25002309,
      "message": "The `fields.checkbox.visibility` must be a boolean."
    }
  ]
}
```

**Example** (`fields.dropdown.visibility not boolean`)

```json
{
  "errors": [
    {
      "code": 25002315,
      "message": "The `fields.dropdown.visibility` must be a boolean."
    }
  ]
}
```

**Example** (`fields.fullname.visibility not boolean`)

```json
{
  "errors": [
    {
      "code": 25002305,
      "message": "The `fields.fullname.visibility` must be a boolean."
    }
  ]
}
```

**Example** (`fields.initials.visibility not boolean`)

```json
{
  "errors": [
    {
      "code": 25002303,
      "message": "The `fields.initials.visibility` must be a boolean."
    }
  ]
}
```

**Example** (`request-payment.visibility not boolean`)

```json
{
  "errors": [
    {
      "code": 25002290,
      "message": "The `request-payment.visibility` must be a boolean."
    }
  ]
}
```

**Example** (`close-button.title.editor.en not string`)

```json
{
  "errors": [
    {
      "code": 25002361,
      "message": "The `close-button.title.editor.en` must be a string."
    }
  ]
}
```

**Example** (`close-button.title.editor.es not string`)

```json
{
  "errors": [
    {
      "code": 25002363,
      "message": "The `close-button.title.editor.es` must be a string."
    }
  ]
}
```

**Example** (`close-button.title.editor.fr not string`)

```json
{
  "errors": [
    {
      "code": 25002362,
      "message": "The `close-button.title.editor.fr` must be a string."
    }
  ]
}
```

**Example** (`fields.hyperlink.visibility not boolean`)

```json
{
  "errors": [
    {
      "code": 25002321,
      "message": "The `fields.hyperlink.visibility` must be a boolean."
    }
  ]
}
```

**Example** (`fields.signature.visibility not boolean`)

```json
{
  "errors": [
    {
      "code": 25002297,
      "message": "The `fields.signature.visibility` must be a boolean."
    }
  ]
}
```

**Example** (`button_to_signnow.visibility not boolean`)

```json
{
  "errors": [
    {
      "code": 25002187,
      "message": "The 'complete-page.button_to_signnow.visibility' must be boolean."
    }
  ]
}
```

**Example** (`close-button.title.signing.en not string`)

```json
{
  "errors": [
    {
      "code": 25002358,
      "message": "The `close-button.title.signing.en` must be a string."
    }
  ]
}
```

**Example** (`close-button.title.signing.es not string`)

```json
{
  "errors": [
    {
      "code": 25002360,
      "message": "The `close-button.title.signing.es` must be a string."
    }
  ]
}
```

**Example** (`close-button.title.signing.fr not string`)

```json
{
  "errors": [
    {
      "code": 25002359,
      "message": "The `close-button.title.signing.fr` must be a string."
    }
  ]
}
```

**Example** (`default-fields.visibility is not boolean`)

```json
{
  "errors": [
    {
      "code": 25002382,
      "message": "The `default-fields.visibility` field must be a boolean."
    }
  ]
}
```

**Example** (`field-settings.visibility is not boolean`)

```json
{
  "errors": [
    {
      "code": 25002380,
      "message": "The `field-settings.visibility` field must be a boolean."
    }
  ]
}
```

**Example** (`fields.attachment.visibility not boolean`)

```json
{
  "errors": [
    {
      "code": 25002313,
      "message": "The `fields.attachment.visibility` must be a boolean."
    }
  ]
}
```

**Example** (`manage-recipients.visibility not boolean`)

```json
{
  "errors": [
    {
      "code": 25002284,
      "message": "The `manage-recipients.visibility` must be a boolean."
    }
  ]
}
```

**Example** (`step-progress-bar.visibility not boolean`)

```json
{
  "errors": [
    {
      "code": 25002294,
      "message": "The `step-progress-bar.visibility` must be a boolean."
    }
  ]
}
```

**Example** (`thumbnails-button.visibility not boolean`)

```json
{
  "errors": [
    {
      "code": 25002288,
      "message": "The `thumbnails-button.visibility` must be a boolean."
    }
  ]
}
```

**Example** (`editing-tools.background incorrect format`)

```json
{
  "errors": [
    {
      "code": 25002282,
      "message": "The `editing-tools.background` must contain a valid HTML color format."
    }
  ]
}
```

**Example** (`fields.radiobutton.visibility not boolean`)

```json
{
  "errors": [
    {
      "code": 25002311,
      "message": "The `fields.radiobutton.visibility` must be a boolean."
    }
  ]
}
```

**Example** (`close-button.title.signing.fr utf4byte not supported`)

```json
{
  "errors": [
    {
      "code": 25002371,
      "message": "UTF 4-byte characters in `close-button.title.signing.fr` are not supported."
    }
  ]
}
```

**Example** (`close-button.title.editor.en utf 4-byte not supported`)

```json
{
  "errors": [
    {
      "code": 25002373,
      "message": "UTF 4-byte characters in `close-button.title.editor.en` are not supported."
    }
  ]
}
```

**Example** (`close-button.title.editor.es utf 4-byte not supported`)

```json
{
  "errors": [
    {
      "code": 25002375,
      "message": "UTF 4-byte characters in `close-button.title.editor.es` are not supported."
    }
  ]
}
```

**Example** (`close-button.title.editor.fr utf 4-byte not supported`)

```json
{
  "errors": [
    {
      "code": 25002374,
      "message": "UTF 4-byte characters in `close-button.title.editor.fr` are not supported."
    }
  ]
}
```

**Example** (`close-button.title.signing.en utf 4-byte not supported`)

```json
{
  "errors": [
    {
      "code": 25002370,
      "message": "UTF 4-byte characters in `close-button.title.signing.en` are not supported."
    }
  ]
}
```

**Example** (`close-button.title.signing.es utf 4-byte not supported`)

```json
{
  "errors": [
    {
      "code": 25002372,
      "message": "UTF 4-byte characters in `close-button.title.signing.es` are not supported."
    }
  ]
}
```

**Example** (`guide-signers-only-through-required-fields type incorrect`)

```json
{
  "errors": [
    {
      "code": 25002377,
      "message": "The 'signing-settings.guide-signers-only-through-required-fields' attribute must be a boolean."
    }
  ]
}
```

**Example** (`auto-apply-signatures-and-initials-to-document-fields type incorrect`)

```json
{
  "errors": [
    {
      "code": 25002378,
      "message": "The 'signing-settings.auto-apply-signatures-and-initials-to-document-fields' attribute must be a boolean."
    }
  ]
}
```

### 403

* Request with a valid bearer token from another user logged in.
* The user is authorized with a token from an app they don’t own.
* The user is neither admin, nor moderator of the organization.
* The brand exists but it is not an organization brand.

**Example** (`Example 1`)

```json
{
  "code": 25002030,
  "message": "No access to the brand."
}
```

**Example** (`Another user's token`)

```json
{
  "code": 25002002,
  "message": "No access to the brand"
}
```

**Example** (`Non-organization brand`)

```json
{
  "code": 25002030,
  "message": "No access to the brand."
}
```

**Example** (`User doesn't own the app`)

```json
{
  "code": 25002001,
  "message": "Brand action not allowed"
}
```

**Example** (`User not admin or moderator`)

```json
{
  "code": 25006002,
  "message": "Insufficient organization rights."
}
```

### 404

* The organization is not found.
* The brand is not found.
* `brand_id` cannot be null.
* Editor resource for this `brand_id` doesn't exist.

**Example** (`Example 1`)

```json
{
  "errors": [
    {
      "code": 25006001,
      "message": "Organization not found."
    }
  ]
}
```

**Example** (`Brand not found`)

```json
{
  "errors": [
    {
      "code": 25002016,
      "message": "Brand not found."
    }
  ]
}
```

**Example** (`brand_id is null`)

```json
{
  "404": "Unable to find a route to match the URI: /v2/organizations/3d73e416095d4734a0e0d8bce4bd33f7b44b7585/brands/resources/general"
}
```

**Example** (`Organization not found`)

```json
{
  "errors": [
    {
      "code": 25006001,
      "message": "Organization not found."
    }
  ]
}
```

**Example** (`Editor resource not found`)

```json
{
  "errors": [
    {
      "code": 25002036,
      "message": "Brand resource not found. Resource name: editor."
    }
  ]
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X PUT \
  "https://api.signnow.com/v2/organizations/{organization_id}/brands/{brand_id}/resources/editor" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"fields": {"date": {"visibility": true}, "text": {"visibility": true}, "email": {"visibility": true}, "stamp": {"visibility": true}, "formula": {"visibility": true}, "checkbox": {"visibility": true}, "dropdown": {"visibility": true}, "fullname": {"visibility": true}, "initials": {"visibility": true}, "hyperlink": {"visibility": true}, "signature": {"visibility": true}, "attachment": {"visibility": true}, "radiobutton": {"visibility": true}}, "sidebar": {"background": "#ffffff", "visibility": true}, "toolbar": {"background": "#ffffff", "visibility": true}, "settings": {"visibility": true}, "auth-page": {"check-pin": {"phone": {"body-text": {"en": "Enter the document password sent you by voice call or sms.", "es": "Introduce la contrase\u00f1a del documento que te ha enviado por llamada de voz o sms.", "fr": "Entrez le mot de passe du document que vous avez re\u00e7u par appel vocal ou sms."}}, "password": {"body-text": {"en": "Enter the document password below to unlock the document.", "es": "Introduce la contrase\u00f1a del documento a continuaci\u00f3n para desbloquear el documento.", "fr": "Entrez le mot de passe du document ci-dessous pour d\u00e9verrouiller le document."}}}, "header-text": {"en": "{sender_email} invited you to sign {document_name}", "es": "{sender_email} te ha invitado a firmar {document_name}", "fr": "{sender_email} vous a invit\u00e9 \u00e0 signer {document_name}"}, "request-pin": {"body-text": {"en": "Press the button bellow to have the password sent to you by voice call or sms message.", "es": "Pulsa el bot\u00f3n de abajo para que te env\u00eden la contrase\u00f1a por llamada de voz o mensaje sms.", "fr": "Appuyez sur le bouton ci-dessous pour que le mot de passe vous soit envoy\u00e9 par appel vocal ou sms."}}}, "navigation": {"visibility": true}, "sender-info": {"visibility": true, "contact-name": "Contact Name", "contact-email": "contact@email.com"}, "close-button": {"title": {"editor": {"en": "Save and Close", "es": "Guardar y cerrar", "fr": "Enregistrer et fermer"}, "signing": {"en": "Save Progress and Finish Later", "es": "Guardar progresos y terminar m\u00e1s tarde", "fr": "Enregistrer la progression et terminer plus tard"}}, "visibility": true}, "progress-bar": {"default-color": "#e3e6e9", "completed-color": "#0777cf"}, "support-chat": {"visibility": true}, "accessibility": {"color": "#546470", "border": "#ffffff", "enabled": false, "background": "#ffffff", "visibility": true, "hover-color": "#546470", "active-color": "#546470", "hover-border": "#f1f2f4", "active-border": "#dadee2", "hover-background": "#f1f2f4", "active-background": "#dadee2"}, "complete-page": {"decline": {"body-text": {"en": "You did not consent to do business electronically with the sender. The Electronic Signature Disclosure can still be accepted before the sender cancels the invite. The invite can be found in your inbox and signNow account. You can still download the document if you\u2019d like to. Contact the sender to find out what to do next.", "es": "No has dado tu consentimiento para hacer negocios electr\u00f3nicamente con el remitente. La Divulgaci\u00f3n de Firma Electr\u00f3nica a\u00fan se puede aceptar antes de que el remitente cancele la invitaci\u00f3n. Puedes encontrar la invitaci\u00f3n en tu bandeja de entrada y en la cuenta de signNow. A\u00fan puedes descargar el documento si lo deseas. Ponte en contacto con el remitente para saber qu\u00e9 hacer a continuaci\u00f3n.", "fr": "Vous n\u2019avez pas consenti \u00e0 traiter par voie \u00e9lectronique avec l\u2019exp\u00e9diteur. La Divulgation par signature \u00e9lectronique peut toujours \u00eatre accept\u00e9e avant que l\u2019exp\u00e9diteur n\u2019annule l\u2019invitation. L\u2019invitation se trouve dans votre bo\u00eete de r\u00e9ception et dans votre compte signNow. Vous pouvez n\u00e9anmoins t\u00e9l\u00e9charger le document si vous le souhaitez. Contactez l\u2019exp\u00e9diteur pour conna\u00eetre les prochaines \u00e9tapes."}, "header-text": {"en": "You'\''ve declined the Electronic Signature Disclosure agreement", "es": "Has rechazado el acuerdo de Divulgaci\u00f3n de firmas electr\u00f3nicas", "fr": "Vous avez refus\u00e9 l\u2019accord de Divulgation par signature \u00e9lectronique"}}, "success": {"body-text": {"en": "The sender will be notified and receive the signed document.", "es": "El remitente recibir\u00e1 una notificaci\u00f3n y el documento firmado. Tambi\u00e9n se ha enviado una copia a tu bandeja de entrada y se ha guardado en tu cuenta de signNow.", "fr": "L'\''exp\u00e9diteur sera inform\u00e9 et recevra le document sign\u00e9. Une copie a \u00e9galement \u00e9t\u00e9 envoy\u00e9e dans votre bo\u00eete de r\u00e9ception et enregistr\u00e9e dans votre compte signNow."}, "header-text": {"en": "You'\''ve filled out and signed the document", "es": "Has completado y firmado el documento", "fr": "Vous avez rempli et sign\u00e9 le document"}}, "registration": {"visibility": true}, "button-download": {"visibility": true}, "button-to-signnow": {"visibility": false}}, "document-name": {"visibility": true}, "editing-tools": {"background": "#ffffff"}, "decline-button": {"visibility": true}, "default-fields": {"visibility": true}, "field-settings": {"visibility": true}, "page-dimension": {"percent": 150}, "preview-button": {"visibility": true}, "complete-footer": {"visibility": true, "custom-text": {"en": "You'\''ve completed all required fields. Review your document and click Finish.", "es": "Has completado todos los campos obligatorios. Revisa tu documento y haz clic en Finalizar.", "fr": "Vous avez rempli tous les champs obligatoires. Relisez votre document et cliquez sur Terminer."}}, "continue-button": {"visibility": true}, "download-button": {"visibility": true}, "request-payment": {"visibility": true}, "signing-settings": {"guide-signers-only-through-required-fields": true, "auto-apply-signatures-and-initials-to-document-fields": true}, "manage-recipients": {"visibility": true}, "step-progress-bar": {"visibility": true}, "thumbnails-button": {"visibility": true}, "decline-invite-text": {"en": "You'\''re about to decline to sign {document_name} from {invite_owner_email}. Note that all the changes you'\''ve made to this document will be lost.", "es": "Est\u00e1s a punto de rechazar para firmar {document_name} de {invite_owner_email}. Ten en cuenta en cuenta que todos los cambios que hayas realizado en este documento se perder\u00e1n.", "fr": "Vous \u00eates sur le point de refuser de signer {document_name} de {invite_owner_email}. Notez que toutes les modifications que vous avez apport\u00e9es \u00e0 ce document seront perdues."}}'
```

---
*Full reference: https://docs.signnow.com/docs/organization-branding/operations/put-v2-organizations-organization_id-brands-brand_id-resources-editor*
